routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Laravel\Socialite\Facades\Socialite;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


Auth::routes();
Route::namespace('')
    ->name('admin.')
    ->prefix('admin')
    ->middleware('auth')
    ->group(function () {
        Route::resource('files', \App\Http\Controllers\TestDataRecordController::class);
        Route::resource('load', \App\Http\Controllers\UploadFilesController::class);
        Route::get('admin/load/import', [\App\Http\Controllers\UploadFilesController::class, 'import'])->name('load.import');
    });
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/files/export', [\App\Http\Controllers\MailController::class, 'export'])->name('files.export');
Route::get('/files/import', [\App\Http\Controllers\TestDataRecordController::class, 'import'])->name('import');

Route::get('/files/send', [\App\Http\Controllers\MailController::class, 'send'])->name('files.send');
Route::get('/files/filesXml', [\App\Http\Controllers\MailController::class, 'fiesXml'])->name('files.filesXml');
Route::fallback(function () {
    return abort(404);
});

Route::get('/bikes/index',[\App\Http\Controllers\BikeController::class, 'index'])->name('bikes.index');



//Google Login
Route::get('login/google', [\App\Http\Controllers\Auth\LoginController::class, 'redirectToGoogle'])->name('login.google');
Route::get('login/google/callback',[\App\Http\Controllers\Auth\LoginController::class, 'handelGoogleCallback']);

//FaceBook Login
Route::get('login/facebook', [\App\Http\Controllers\Auth\LoginController::class, 'redirectToFaceBook'])->name('login.facebook');
Route::get('login/facebook/callback',[\App\Http\Controllers\Auth\LoginController::class, 'handelFaceBookCallback']);

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                |<a class="navbar-brand pl-2" href="{{ route('admin.files.index') }}">
                    Files List
                </a>
                |<a class="navbar-brand pl-2" href="{{ route('bikes.index') }}">
                    Bikes List
                </a>
                |<a class="navbar-brand pl-2" href="{{ route('files.send') }}">
                    Sending the file to the mail
                </a>
                |<a class="navbar-brand pl-2" href="{{ route('files.filesXml') }}">
                    Sent the xml file to the mail
                </a>
                |<a class="navbar-brand pl-2" href="{{ route('import') }}">
                    Data Import
                </a>
                |<a class="navbar-brand pl-2" href="{{ route('admin.load.index') }}">
                   files
                </a>
                |<a class="navbar-brand pl-2" href="{{ route('admin.load.create') }}">
                    Upload xml files
                </a>
                |<a class="navbar-brand pl-2" href="{{ route('admin.load.import') }}">
                    Import xml files
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                                </li>
                            @endif

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <img src="{{ Auth::user()->avatar }}" alt="{{ Auth::user()->name }}"
                                     style="border: 1px solid #cccccc; border-radius: 5px; width: 39px; height: auto;float: left;margin-right: 7px;">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button"
                                   data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <div class="content-container">
            @if (session('status'))
                <div class="alert alert-primary" role="alert">
                    {{ session('status') }}
                </div>
            @elseif(session('error'))
                <div class="alert alert-danger" role="alert">
                    {{ session('error') }}
                </div>
            @endif
            @yield('content')
        </div>
    </div>
</body>
</html>